# Multi-Instance and Transfer Learning for Sentiment Analysis

# Environment Setup

We are using Python 3.6 for our development process. If you want to re-produce the environment on your local machine for experimentatino, please follow the steps:

### Install Python 3.6

You probably don't need to do anything here; Most distributions of Linux have Python3 already deployed with them.

### Create a virtual environment

```
virtualenv -p python3 venv
```

### Use the virtual environment

```
source venv/bin/activate
```

### Install the packages

```
pip install -r requirements.txt
```


# Description

- Train a generic sentence-wise sentiment analysis model on all categories of the Amazon product review dataset
- Take BERT features a) per sentence or b) per word and summarize word vectors per sentence, e.g., by training an LSTM RNN (average pooling) or standard averaging
- Make a simple baseline, e.g., using naive bayes/SVM/XGBoost/...
- Implement an own good architecture on top of it
- Fine-tune on the food-related categories of the Amazon product review dataset
- Fine-tune on our Organic Dataset, organic entity/entities only

# References

- BERT
	- https://github.com/stangelid/oposum/tree/master/milnet
	- https://www.mitpressjournals.org/doi/pdfplus/10.1162/tacl_a_00002
	- https://arxiv.org/pdf/1808.08858.pdf, see paragraph about Opinion Polarity in section 5

# Data

- Organic Dataset (annotated)
- Amazon product review data (http://jmcauley.ucsd.edu/data/amazon)
- Amazon Fine-Food Reviews on Kaggle (could also be used for fine-tuning)

# Task Management

We are organizing / coordinating ourselves using a Trello board: https://trello.com/b/hQEToAGf/sentiment-analysis
